GET
/scim/v2/MeRetrieve information about oneself
When SCIM is enabled, this endpoint is accessible by anyone authentified in Grist.
200Successfully retrieved user details.
idstringoptional
The unique identifier of the user.
metaobjectoptional
displayNamestringoptional
the display name of the user
emailsarray<object>optional
localestringoptional
Used to indicate the User's default location for purposes of localizing such items as currency, date time format, or numerical representations.
nameobjectoptional
photosarray<object>optional
The picture of the user. It is expected to have a single item in the context of Grist.
preferredLanguagestringoptional
Indicates the user's preferred written or spoken languages and is generally used for selecting a localized user interface.
schemasarray<string>optional
userNamestringoptional
The unique username.
401Unauthenticated
403Unauthorized
404User not found.
500Internal server error.
Error handling
A 401 is returned: Unauthenticated. A 403 is returned: Unauthorized. A 404 is returned: User not found. A 500 is returned: Internal server error.
